=== debian/changelog ===
pushpin (1.41.0-3) unstable; urgency=medium

  * Build using dh-cargo. (Closes: #1047541)

 -- Jan Niehusmann <jan@debian.org>  Tue, 18 Nov 2025 21:10:54 +0100

pushpin (1.41.0-2) unstable; urgency=medium

  * Pushpin no longer needs zurl - don't depend on it.
  * Replace dependency on pkg-config by pkgconf.
  * Remove dependency on lsb-base.
  * Fixed several lintian warnings.

 -- Jan Niehusmann <jan@debian.org>  Sat, 15 Nov 2025 22:33:21 +0100

pushpin (1.41.0-1) unstable; urgency=medium

  * New upstream version
  * Adjusted several dependencies to versions available in rust.
  * Thanks to Peter Green for providing a patch covering most of the
    required changes.
  * Closes: #1098294

 -- Jan Niehusmann <jan@debian.org>  Fri, 14 Nov 2025 23:33:39 +0100
