=== debian/control ===
Source: pushpin
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 11), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkgconf, qconf, cargo (>= 0.43), librust-clap-dev, librust-log-dev, librust-serde-dev, librust-serde-json-dev, librust-zmq-dev (>= 0.9.2-3), librust-serde-derive-dev, librust-base64-dev, librust-slab-dev, librust-jsonwebtoken-dev, librust-config-dev, librust-httparse-dev, librust-ipnet-dev, librust-miniz-oxide-dev, librust-mio-dev, librust-openssl-dev, librust-paste-dev, librust-rustls-dev, librust-rustls-native-certs-dev, librust-sha1-dev, librust-signal-hook-dev, librust-socket2-dev, librust-criterion-dev, libboost-dev, librust-url-dev, help2man, librust-cbindgen-dev, librust-test-log-dev, librust-notify-dev, debhelper-compat (= 11), dh-cargo
Standards-Version: 4.7.2
Homepage: https://github.com/fanout/pushpin
Vcs-Git: https://salsa.debian.org/jan/pushpin.git
Vcs-Browser: https://salsa.debian.org/jan/pushpin

Package: pushpin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, ucf
Description: HTTP reverse proxy server for streaming and long-polling services
 Pushpin is a reverse proxy server that makes it easy to implement
 WebSocket, HTTP streaming, and HTTP long-polling services. It communicates
 with backend web applications using regular, short-lived HTTP requests
 (GRIP protocol). This allows backend applications to be written in any
 language and use any webserver.
 .
 Additionally, Pushpin does all of this without exposing a proprietary
 protocol to clients. The HTTP/WebSocket content between the client
 and your server is whatever you want it to be. This makes it ideal for
 implementing APIs.
 .
 Pushpin is written in C++. The name means to "pin" (hold) connections
 open for "pushing".
